#
# spec file for package perl-Text-Password-Pronounceable
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Text-Password-Pronounceable
Version:        0.30
Release:        8.1
License:        GPL+ or Artistic
%define         cpan_name Text-Password-Pronounceable
Summary:        Generate pronounceable passwords
Url:            http://search.cpan.org/dist/Text-Password-Pronounceable/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/T/TS/TSIBLEY/Text-Password-Pronounceable-%{version}.tar.gz
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This module generates pronuceable passwords, based the the English digraphs
by D Edwards.

METHODS
    * *new*

        $pp = Text::Password::Pronounceable->new($min, $max);
        $pp = Text::Password::Pronounceable->new($len);

      Construct a password factory with length limits of $min and $max. Or
      create a password factory with fixed length if only one argument is
      provided.

    * *generate*

        $pp->generate;
        $pp->generate($len);
        $pp->generate($min, $max);
      
        Text::Password::Pronounceable->generate($len);
        Text::Password::Pronounceable->generate($min, $max);

      Generate password. If used as an instance method, arguments override
      the factory settings.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
export AUTOMATED_TESTING=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
export AUTOMATED_TESTING=1
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc CHANGES README

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix Build
* Sat Aug 13 2011 lars@linux-schulserver.de
- initial package 0.30
  * created by cpanspec 1.78.03
